<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Missions/Scripts/4_world/dayzexpansion_missions/classes/expansionmissionconstructor.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/da1/a01988_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionmissionconstructor.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/da1/a01988.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d4/dc7/a06113.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/dc7/a06113.html">ExpansionMissionConstructor</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/dc7/a06113.html#a3fde8e35284452caa9a6e23f6c88299b">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/dc7/a06113.html#a3fde8e35284452caa9a6e23f6c88299b">GenerateMissionTypes</a>( out map&lt; string, typename &gt; missionMap )</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        TTypenameArray missionArrayNames = <span class="keyword">new</span> TTypenameArray;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_function" href="../../d4/dc7/a06113.html#acc4f84dee16055c10fe7c8340144533f">RegisterMissions</a>( missionArrayNames);</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        Sort( missionArrayNames, missionArrayNames.Count() );</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        missionMap = <span class="keyword">new</span> map&lt; string, typename &gt;;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; missionArrayNames.Count(); i++)</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            <span class="keywordflow">if</span> ( missionArrayNames[i].IsInherited( <a class="code hl_class" href="../../df/d5e/a06101.html">ExpansionMissionEventBase</a> ) )</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>                missionMap.Insert( missionArrayNames[i].ToString(), missionArrayNames[i] );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d4/dc7/a06113.html#acc4f84dee16055c10fe7c8340144533f">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/dc7/a06113.html#acc4f84dee16055c10fe7c8340144533f">RegisterMissions</a>( out TTypenameArray missions )</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment">        //! Airdrops</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="comment"></span>        missions.Insert( ExpansionMissionEventAirdrop );</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="comment"></span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="comment">        //! DayZ rewritten Contaminated Areas</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment"></span>        missions.Insert( ExpansionMissionEventContaminatedArea );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">        #ifdef BUILD_EXPERIMENTAL</span><span class="comment"></span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="comment">        //! Zombie Horde</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="comment"></span>        missions.Insert( ExpansionMissionEventHorde );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">        #ifdef EXPANSIONMODAI</span><span class="comment"></span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">        //! AI General missions (Patrol, Faction War, Protecting Loot)</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment"></span>        missions.Insert( ExpansionMissionEventAI );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="comment"></span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">        //! Airdrop with AI</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="comment"></span>        <span class="comment">//missions.Insert( ExpansionMissionEventAirdropAI );</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="comment"></span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="comment">        //! DayZ rewritten Contaminated Areas with AI</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="comment"></span>        <span class="comment">//missions.Insert( ExpansionMissionEventContaminatedArea );</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>};</div>
<div class="ttc" id="aa06101_html"><div class="ttname"><a href="../../df/d5e/a06101.html">ExpansionMissionEventBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dd8/a01943_source.html#l00015">expansionmissioneventbase.c:16</a></div></div>
<div class="ttc" id="aa06113_html"><div class="ttname"><a href="../../d4/dc7/a06113.html">ExpansionMissionConstructor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da1/a01988_source.html#l00001">expansionmissionconstructor.c:2</a></div></div>
<div class="ttc" id="aa06113_html_a3fde8e35284452caa9a6e23f6c88299b"><div class="ttname"><a href="../../d4/dc7/a06113.html#a3fde8e35284452caa9a6e23f6c88299b">ExpansionMissionConstructor::GenerateMissionTypes</a></div><div class="ttdeci">void GenerateMissionTypes(out map&lt; string, typename &gt; missionMap)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da1/a01988_source.html#l00003">expansionmissionconstructor.c:3</a></div></div>
<div class="ttc" id="aa06113_html_acc4f84dee16055c10fe7c8340144533f"><div class="ttname"><a href="../../d4/dc7/a06113.html#acc4f84dee16055c10fe7c8340144533f">ExpansionMissionConstructor::RegisterMissions</a></div><div class="ttdeci">void RegisterMissions(out TTypenameArray missions)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da1/a01988_source.html#l00021">expansionmissionconstructor.c:21</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_98a0d52b5ffeb2d0008749a8725e4adf.html">Missions</a></li><li class="navelem"><a class="el" href="../../dir_14d412830fda8cd862f99a875104cbc4.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8f3056a5801212b4c0680d610841a69a.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_80fefec356581d7ce7c894c773b22eaf.html">dayzexpansion_missions</a></li><li class="navelem"><a class="el" href="../../dir_4153b8bb19eb65d7a613a20abf6f5d98.html">classes</a></li><li class="navelem"><a class="el" href="../../d5/da1/a01988.html">expansionmissionconstructor.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
